/**
 * Abstract class RIA Framework HTML Request
 * 
 * @class      RIA_HtmlRequest
 * @copyright  2008 IT RIA
 * @license    GNU GPL v2
 * @version    Release: $Revision: 1.2 $
 * @author     <a href="mailto:Oleg.Cherniy@gmail.com">Oleg Cherniy</a>
 * @requires   Ria_Ajax
 */
var Ria_HtmlRequest = new Class({

	Implements: Options,
	
	options: {
		target: 'main',
		event: ''
	},

	/**
	 * @param {String} id id объекта, который будет обновлен по приходу ответа от сервера  
	 * @raram {Array} options параметры для построения запроса
	 */
	initialize: function(id, options){
		this.setOptions(options);
		$(id).load(Ria_Ajax.script + '?' + Hash.toQueryString(this.options));
	}
});